Upstream information

CVE-2011-3153 at MITRE

Description

dmrc.c in Light Display Manager (aka LightDM) before 1.1.1 allows local users to read arbitrary files via a symlink attack on ~/.dmrc.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.9
Vector AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 728627 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 15.0
  • liblightdm-gobject-1-0 >= 1.24.1-lp150.1.1
  • lightdm >= 1.24.1-lp150.1.1
  • lightdm-lang >= 1.24.1-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA liblightdm-gobject-1-0
openSUSE Leap 42.1
  • liblightdm-gobject-1-0 >= 1.15.0-4.2
  • lightdm >= 1.15.0-4.2
  • lightdm-lang >= 1.15.0-4.2
Patchnames:
openSUSE Leap 42.1 GA liblightdm-gobject-1-0
openSUSE Leap 42.2
  • liblightdm-gobject-1-0 >= 1.19.5-1.1
  • lightdm >= 1.19.5-1.1
  • lightdm-lang >= 1.19.5-1.1
Patchnames:
openSUSE Leap 42.2 GA liblightdm-gobject-1-0
openSUSE Leap 42.3
  • liblightdm-gobject-1-0 >= 1.22.0-4.1
  • lightdm >= 1.22.0-4.1
  • lightdm-lang >= 1.22.0-4.1
Patchnames:
openSUSE Leap 42.3 GA liblightdm-gobject-1-0
openSUSE Tumbleweed
  • liblightdm-gobject-1-0 >= 1.21.1-1.1
  • liblightdm-qt-3-0 >= 1.21.1-1.1
  • liblightdm-qt5-3-0 >= 1.21.1-1.1
  • lightdm >= 1.21.1-1.1
  • lightdm-gobject-devel >= 1.21.1-1.1
  • lightdm-lang >= 1.21.1-1.1
  • lightdm-qt-devel >= 1.21.1-1.1
  • lightdm-qt5-devel >= 1.21.1-1.1
  • typelib-1_0-LightDM-1 >= 1.21.1-1.1
Patchnames:
openSUSE Tumbleweed GA liblightdm-gobject-1-0